Subject: RE: bug#20195: 25.0.50; Let Dired commands such as `dired-do-search' (`A') use prefix arg

From: Drew Adams <[email-masked]>
Date: Thu, 2 Apr 2015 07:01:15 -0700 (PDT)

> > See above.  There are *many* ways to do the same thing in Dired (and
> > elsewhere in Emacs).  In and of itself, eliminating such "duplication"
> > is a silly goal (IMHO).
> 
> But it's rather convenient to keep in memory that:
> 1) First mark files you want to process.  To augment mark behaviour
>    (e.g. mark all files in a subdir) specify prefix arg to the mark
>    command or use a corresponding specific command.
> 2) Perform search/replace.  To augment search/replace behavior (like
>    toggle word searching) you have to specify prefix argument to the
>    search/replace command.

Yes, there are multiple ways to do the same thing in Dired.  Nothing
in this enhancement will prevent you from always doing things the way
you prefer.